Subject: Re: Two Different Routes to the Same Node, One with Via

From: Koushik Roy <[email-masked]>
Date: Sun, 12 Dec 2021 22:58:14 -0800

John Goerzen <[email-masked]> writes:

> On Sun, Dec 12 2021, Sergey Matveev wrote:
>
>> Currently I assume that multicast can be used in the case you
>described.

I'll give this approach a shot. It sounds promising, and in my case
repeating a packet twice doesn't really matter that much as I'm sending
small packets anyway.

> Actually all that is needed to support Koushik's scenario perfectly
> would be a "max delivery" setting.  Set it to 1, and after NNCP delivers
> a multicast packet to one destination, it would stop efforts to deliver
> it to any more.
>

This would be a cool feature, but how would you be able to enforce "max
delivery" across multiple neighbors?

- Koushik